Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234421 - [fix available][oocalc] printing current page prined all pages out
Summary: [fix available][oocalc] printing current page prined all pages out
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-29 03:07 UTC by Nicole Dai
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0849
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 16:56:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0849 normal SHIPPED_LIVE Openoffice.org bug fix update 2007-11-20 22:26:32 UTC

Description Nicole Dai 2007-03-29 03:07:53 UTC
Description of problem:


Version-Release number of selected component (if applicable):
openoffice.org-impress-2.0.4-5.4.17

How reproducible:
Always

Steps to Reproduce:
1.Create a .ods file which includes multiple sheets.
2.Enter one of the sheets.
3.File-Print or Ctrl+P.
4.In Print Pages section, select Current.
5.Print it.
  
Actual results:
All sheets were printed out.

Expected results:
The current sheet was expected to be printed out.

Additional info:

Comment 1 Caolan McNamara 2007-03-29 11:00:02 UTC
I think you mean calc, and the text about .ods seems to also imply that. I can
reproduce this problem with calc, the correct "Current Sheet" isn't be provided
by calc correctly. Writer and Impress are unaffected.

Comment 2 Caolan McNamara 2007-03-29 12:38:10 UTC
fix checked into FC-6 and devel, this is part of a set of print dialog issues,
so we should fix them all at the same time IMO

Comment 3 RHEL Product and Program Management 2007-03-29 12:43:32 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Caolan McNamara 2007-03-31 12:59:18 UTC
Has all acks, fix checked in, will be in >= 2.0.4-5.4.21

Comment 8 errata-xmlrpc 2007-11-07 16:56:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0849.html



Note You need to log in before you can comment on or make changes to this bug.